Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.technical_analysis.get_pattern(symbol="AAPL", resolution=models.BarResolution.M)
assert res.technical_patterns_response is not None
# Handle response
print(res.technical_patterns_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.technicalAnalysis.getPattern({
symbol: "AAPL",
resolution: "M",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/scan/pattern \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/scan/pattern', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/scan/pattern",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/scan/pattern"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/scan/pattern")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/scan/pattern")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"points": [
{
"aprice": 213.58,
"atime": 1745971200,
"bprice": 0,
"btime": 0,
"cprice": 0,
"ctime": 0,
"dprice": 197.02,
"dtime": 1746489600,
"end_price": 0,
"end_time": 0,
"entry": 0,
"eprice": 0,
"etime": 0,
"mature": 1,
"patternname": "two black gapping",
"patterntype": "bearish",
"profit1": 0,
"profit2": 0,
"sortTime": 1746489600,
"start_price": 0,
"start_time": 0,
"status": "complete",
"stoploss": 0,
"symbol": "AAPL.US",
"terminal": 0
}
]
}
}Technical Analysis
Technical Patterns
Retrieve detected chart patterns such as head and shoulders, triangles, and double tops/bottoms. Identify potential breakout and reversal setups.
Use Case: Alert traders when a bullish ascending triangle pattern is detected on a stock chart.
GET
/
v1
/
scan
/
pattern
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.technical_analysis.get_pattern(symbol="AAPL", resolution=models.BarResolution.M)
assert res.technical_patterns_response is not None
# Handle response
print(res.technical_patterns_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.technicalAnalysis.getPattern({
symbol: "AAPL",
resolution: "M",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/scan/pattern \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/scan/pattern', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/scan/pattern",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/scan/pattern"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/scan/pattern")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/scan/pattern")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"points": [
{
"aprice": 213.58,
"atime": 1745971200,
"bprice": 0,
"btime": 0,
"cprice": 0,
"ctime": 0,
"dprice": 197.02,
"dtime": 1746489600,
"end_price": 0,
"end_time": 0,
"entry": 0,
"eprice": 0,
"etime": 0,
"mature": 1,
"patternname": "two black gapping",
"patterntype": "bearish",
"profit1": 0,
"profit2": 0,
"sortTime": 1746489600,
"start_price": 0,
"start_time": 0,
"status": "complete",
"stoploss": 0,
"symbol": "AAPL.US",
"terminal": 0
}
]
}
}Authorizations
Query Parameters
How long each bar covers. Supported values are minutes (1, 5, 15, 30, 60) or daily/weekly/monthly (D, W, M). Other values return 400 Bad Request with error code VALIDATION_ERROR.
Bar size: minutes (1, 5, 15, 30, 60), or daily, weekly, or monthly (D, W, M).
Available options:
1, 5, 15, 30, 60, D, W, M Was this page helpful?